<?php

function cinotif_duree_envoi($valeur){
	$return = '';
        $date = '';
        $date_sql = '';
        
        $where = "statut='publie'";
        
	if (_request('datedebut')) {
            $date = cinotif_verifier_et_convertir_date(_request('datedebut'));
            if ($date){
                $where .= ' AND date>='.sql_quote($date);
            }
	}

	$i = 0;
	$cumul = 0;
	$result = sql_select("date_debut_envoi,date_fin_envoi", "spip_cinotif_courriers", $where);
	while ($row = sql_fetch($result)){
		$cumul = $cumul + cinotif_diff_date($row['date_debut_envoi'],$row['date_fin_envoi']);
		$i++;
	}

	if ($i>0){
		$time = round($cumul/$i);
		$heures = floor($time/3600);
		$time = $time - ($heures*3600);
		$min = floor($time/60);
		$sec = $time - ($min*60);
		$return = $heures.'h'.$min.'min'.$sec.'s';
	}

	return $return;
}

function cinotif_diff_date($datedebut,$datefin){
		
	$debut = mktime(
	          substr($datedebut,11,2),
	          substr($datedebut,14,2),
	          substr($datedebut,17,2),
	          substr($datedebut,5,2),
	          substr($datedebut,8,2),
	          substr($datedebut,0,4));
	
	$fin = mktime(
	          substr($datefin,11,2),
	          substr($datefin,14,2),
	          substr($datefin,17,2),
	          substr($datefin,5,2),
	          substr($datefin,8,2),
	          substr($datefin,0,4));
	          
  return $fin - $debut; 
}

function cinotif_date_debut($arg='') {
	$return = '0000-01-01 00:00:00';
        
	if (_request('datedebut')) {
            $date_sql = cinotif_verifier_et_convertir_date(_request('datedebut'));
            if ($date_sql){
                $return = $date_sql;
            }
	}
        
        return $return;
}

function cinotif_timestamp_debut($arg='') {
	$return = '0000-01-01 00:00:00';
        
	if (_request('datedebut')) {
            $timestamp_sql = cinotif_verifier_et_convertir_date_en_timestamp(_request('datedebut'));
            if ($timestamp_sql){
                $return = $timestamp_sql;
            }
	}
        
        return $return;
}

function cinotif_verifier_et_convertir_date($date='') {
	$return = false;

   	if ($date) {
	    list($d,$m,$y) = explode("/",$date);
	    if ($d!='' AND $m!='' AND $y!='') {
                if (is_numeric($y) AND is_numeric($m) AND is_numeric($d) AND intval($y)>=1000) {
                    if (checkdate($m,$d,$y)){
                        // format "Y-m-d H:i:s"
                        $return = $y.'-'.$m.'-'.$d.' 00:00:00';
                    }
                }
	    } 
   	}

   	return $return;
}

function cinotif_verifier_et_convertir_date_en_timestamp($date='') {
	$return = false;

   	if ($date) {
	    list($d,$m,$y) = explode("/",$date);
	    if ($d!='' AND $m!='' AND $y!='') {
                if (is_numeric($y) AND is_numeric($m) AND is_numeric($d) AND intval($y)>=1000) {
                    if (checkdate($m,$d,$y)){
                        // format "YmdHis"
                        $return = $y.$m.$d.'000000';
                    }
                }
	    } 
   	}

   	return $return;
}

?>